## pyepr 0.5

=== Makefile ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

# Copyright (C) 2011, Antonio Valentino <antonio.valentino@tiscali.it>
#
# This file is part of PyEPR.
#
# PyEPR is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PyEPR is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with PyEPR.  If not, see <http://www.gnu.org/licenses/>.

PYTHON = python
TEST_DATSET_URL = "http://earth.esa.int/services/sample_products/meris/LRC/L2/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1.gz"
TEST_DATSET = test/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1

.PHONY: default sdist doc clean distclean check debug data upload

default: epr.so

sdist:
	$(PYTHON) setup.py build_ext --inplace
	$(PYTHON) setup.py clean
	$(RM) epr.so
	$(MAKE) -C doc html
	$(RM) -r doc/_build
	$(PYTHON) setup.py sdist

upload:
	$(PYTHON) setup.py build_ext --inplace
	$(PYTHON) setup.py clean
	$(RM) epr.so
	$(MAKE) -C doc html
	$(RM) -r doc/_build
	$(PYTHON) setup.py sdist upload -s -i 24B76CFE

doc:
	$(MAKE) -C doc html

clean:
	$(PYTHON) setup.py clean
	$(RM) src/*.py[co] tests/*.py[co] README.html
	$(MAKE) -C doc clean
	$(RM) -r doc/_build

distclean: clean
	$(RM) -r build dist pyepr.egg-info
	$(RM) MANIFEST src/*.c src/*.o *.so
	#$(RM) tests/*.N1
	$(RM) -r doc/html

check: epr.so $(TEST_DATSET)
	cd test && $(PYTHON) test_all.py --verbose

debug:
	$(PYTHON) setup.py build_ext --inplace --debug

data: $(TEST_DATSET)

epr.so: src/epr.pyx
	$(PYTHON) setup.py build_ext --inplace

$(TEST_DATSET):
	wget -P test $(TEST_DATSET_URL)
	gunzip $@

=== debian/changelog ===
pyepr (0.5-1) unstable; urgency=low

  * Initial release (Closes: #625997)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 May 2011 20:33:54 +0200

=== debian/control ===
Source: pyepr
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: python-all-dev, debhelper (>= 7.0.50~),
               cython (>= 0.13), python-numpy, libepr-api2-dev (>= 2.2),
               python-sphinx (>= 1.0), texlive-latex-extra
Standards-Version: 3.9.2
Homepage: http://avalentino.github.com/pyepr
Vcs-Git: git://git.debian.org/git/pkg-grass/pyepr.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/pyepr.git

Package: python-epr
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-numpy, libjs-jquery
X-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Python ENVISAT Product Reader API
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh --with python2 $@ --buildsystem=python_distutils


override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc html


override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/epr.c
	$(RM) -r doc/_build doc/html


# suppress dh_auto_test since it requires a large download
override_dh_auto_test:


override_dh_installdocs:
	dh_installdocs
	$(RM) $(DESTDIR)/usr/share/python-epr/html/_statis/jquery.js


override_dh_installchangelogs:
	dh_installchangelogs doc/NEWS.txt


# don't compress sphinx doc files (fixed in debhelper 8.1)
override_dh_compress:
	dh_compress -X.js -X.inv -X.txt


.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_auto_test \
        override_dh_installdcs override_dh_installchangelogs override_dh_compress

## pyepr 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- coding: utf-8 -*-
 
-# Copyright (C) 2011, Antonio Valentino <antonio.valentino@tiscali.it>
+# Copyright (C) 2011.2012, Antonio Valentino <antonio.valentino@tiscali.it>
 #
 # This file is part of PyEPR.
 #
@@ -22,14 +22,17 @@
 TEST_DATSET_URL = "http://earth.esa.int/services/sample_products/meris/LRC/L2/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1.gz"
 TEST_DATSET = test/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1
 
-.PHONY: default sdist doc clean distclean check debug data upload
+.PHONY: default ext sdist doc clean distclean check debug data upload
 
-default: epr.so
+default: ext
+
+ext: src/epr.pyx
+	$(PYTHON) setup.py build_ext --inplace
 
 sdist:
 	$(PYTHON) setup.py build_ext --inplace
 	$(PYTHON) setup.py clean
-	$(RM) epr.so
+	$(RM) *.so
 	$(MAKE) -C doc html
 	$(RM) -r doc/_build
 	$(PYTHON) setup.py sdist
@@ -37,7 +40,7 @@
 upload:
 	$(PYTHON) setup.py build_ext --inplace
 	$(PYTHON) setup.py clean
-	$(RM) epr.so
+	$(RM) *.so
 	$(MAKE) -C doc html
 	$(RM) -r doc/_build
 	$(PYTHON) setup.py sdist upload -s -i 24B76CFE
@@ -47,27 +50,25 @@
 
 clean:
 	$(PYTHON) setup.py clean
-	$(RM) src/*.py[co] tests/*.py[co] README.html
+	$(RM) src/*.py[co] tests/*.py[co] doc/sphinxext/*.py[co] README.html
 	$(MAKE) -C doc clean
 	$(RM) -r doc/_build
+	find . -name '*~' -delete
 
 distclean: clean
 	$(RM) -r build dist pyepr.egg-info
 	$(RM) MANIFEST src/*.c src/*.o *.so
-	#$(RM) tests/*.N1
+	$(RM) $(TEST_DATSET)
 	$(RM) -r doc/html
 
-check: epr.so $(TEST_DATSET)
-	cd test && $(PYTHON) test_all.py --verbose
+check: ext $(TEST_DATSET)
+	$(PYTHON) test/test_all.py --verbose
 
 debug:
 	$(PYTHON) setup.py build_ext --inplace --debug
 
 data: $(TEST_DATSET)
 
-epr.so: src/epr.pyx
-	$(PYTHON) setup.py build_ext --inplace
-
 $(TEST_DATSET):
 	wget -P test $(TEST_DATSET_URL)
 	gunzip $@

=== debian/changelog ===
pyepr (0.6.1-2) unstable; urgency=low

  * Only run dh_sphinxdoc on the -doc package (Closes: #671048).
    See also #647233.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 01 May 2012 17:45:39 +0200

pyepr (0.6.1-1) unstable; urgency=low

  * New upstream release
  * New packages:
    - -dbg package for python2
    - packages for python3 (standard and -dbg)
    - package for common docs
  * Switch to debhelper 8
  * Standard version bumped to 3.9.3 (no changes)
  * debian/README.test file added
  * Updated copyright file
  * Use dh_sphinxdoc and common javascript code from libjs-sphinxdoc
  * debian/rules:
    - honor nodoc and noopt DEB_BUILD_OPTIONS
    - call dh_numpy for an appropriate management of the dependency
      from numpy
  * debian/control:
    - X-Python-Version moved to the source package section

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 29 Apr 2012 19:35:45 +0200

=== debian/control ===
Source: pyepr
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Build-Depends: python-all-dev, python-all-dbg,
               python3-all-dev, python3-all-dbg,
               debhelper (>= 8.1.0~), cython (>= 0.13), cython-dbg,
               python-numpy, python-numpy-dbg,
               python3-numpy, python3-numpy-dbg,
               libepr-api2-dev (>= 2.2),
               python-sphinx (>= 1.0.7+dfsg), texlive-latex-extra
Standards-Version: 3.9.3
Homepage: http://avalentino.github.com/pyepr
Vcs-Git: git://git.debian.org/git/pkg-grass/pyepr.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/pyepr.git

Package: python-epr
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         ${sphinxdoc:Depends}, python-numpy
Provides: ${python:Provides}
Suggests: python-epr-doc
Description: Python ENVISAT Product Reader API (Python 2)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This is the Python 2 version of the package.

Package: python-epr-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         ${sphinxdoc:Depends}, python-epr (= ${binary:Version})
Provides: ${python:Provides}
Recommends: python-numpy-dbg
Description: Python ENVISAT Product Reader API (debug extension for Python 2)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This package contains the extension built for the Python 2 debug interpreter.

Package: python3-epr
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
         ${sphinxdoc:Depends}, python3-numpy
Provides: ${python3:Provides}
Suggests: python-epr-doc
Description: Python ENVISAT Product Reader API (Python 3)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This package contains pyepr for Python 3.

Package: python3-epr-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
         ${sphinxdoc:Depends}, python3-epr (= ${binary:Version})
Provides: ${python3:Provides}
Recommends: python-numpy-dbg
Description: Python ENVISAT Product Reader API (debug extension for Python 3)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-epr-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Suggests: www-browser
Description: Python ENVISAT Product Reader API (common documentation)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#PY2VERS=$(shell pyversions -vr)
PY3VERS=$(shell py3versions -vr)
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS ?= -O0
endif


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils


build-python%:
	python$* setup.py build
	python$*-dbg setup.py build


override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build


override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/epr.c
	$(RM) -r doc/_build doc/html
	$(RM) -r build
	$(RM) -r *.egg-info


# suppress dh_auto_test since it requires a large download
override_dh_auto_test:
#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#	set -e -x;\
#	for py in $(PY2VERS); do \
#		PYTHONPATH=$(CURDIR)/build/lib.*-$$py python$$py test/test_all.py ;\
#		PYTHONPATH=$(CURDIR)/build/lib.*-$$py-pydebug python$$py-dbg test/test_all.py ;\
#	for py in $(PY3VERS); do \
#		PYTHONPATH=$(CURDIR)/build/lib.*-$$py python$$py test/test_all.py ;\
#		PYTHONPATH=$(CURDIR)/build/lib.*-$$py-pydebug python$$py-dbg test/test_all.py ;\
#	done
#endif


override_dh_install:
	# Install everything excluding the *_d.so debug extensions to python-epr
	dh_install -X"*_d.so" "debian/tmp/usr/lib/python2*" -p python-epr
	dh_install -X"*dmu.so" "debian/tmp/usr/lib/python3*" -p python3-epr

	# Install the debug extensions to python-epr-dbg
	dh_install "debian/tmp/usr/lib/python2*/*-packages/*_d.so" -p python-epr-dbg
	dh_install "debian/tmp/usr/lib/python3*/*-packages/*dmu.so" -p python3-epr-dbg

	# Continue with regular dh_install
	dh_install
	dh_numpy


install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
	python$*-dbg setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb


override_dh_auto_install: $(PY3VERS:%=install-python%)
	dh_auto_install


override_dh_installchangelogs:
	dh_installchangelogs doc/NEWS.txt


override_dh_compress:
	dh_compress -X.txt


override_dh_sphinxdoc:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh_sphinxdoc
endif


override_dh_installdocs:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc html
else
	mkdir -p doc/html
endif
	dh_installdocs


.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_auto_test \
        override_dh_installchangelogs override_dh_compress override_dh_install \
        override_dh_auto_install dh_sphinxdoc override_dh_installdocs

## pyepr 0.8.1

=== Makefile ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

# Copyright (C) 2011-2013, Antonio Valentino <antonio.valentino@tiscali.it>
#
# This file is part of PyEPR.
#
# PyEPR is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PyEPR is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with PyEPR.  If not, see <http://www.gnu.org/licenses/>.

PYTHON = python
CYTHON = cython
TEST_DATSET_URL = "http://earth.esa.int/services/sample_products/meris/LRC/L2/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1.gz"
TEST_DATSET = test/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1

EPRAPIROOT = ../epr-api

.PHONY: default ext cythonize sdist eprsrc fullsdist doc clean distclean \
        check debug data upload

default: ext

ext: src/epr.pyx
	$(PYTHON) setup.py build_ext --inplace

cythonize: src/epr.c

src/epr.c: src/epr.pyx
	$(CYTHON) src/epr.pyx

sdist: doc cythonize
	$(PYTHON) setup.py sdist

epr-api-src:
	mkdir -p epr-api-src
	cp $(EPRAPIROOT)/src/*.[ch] epr-api-src

LICENSES/epr-api.txt:
	mkdir LICENSES
	cp $(EPRAPIROOT)/LICENSE.txt LICENSES/epr-api.txt

eprsrc: epr-api-src LICENSES/epr-api.txt

fullsdist: doc cythonize eprsrc
	$(PYTHON) setup.py sdist

upload: doc cythonize eprsrc
	$(PYTHON) setup.py sdist upload -s -i 24B76CFE

doc:
	$(MAKE) -C doc html

clean:
	$(PYTHON) setup.py clean --all
	$(RM) -r build dist pyepr.egg-info
	$(RM) MANIFEST src/*.c src/*.o *.so
	$(RM) tests/*.py[co] doc/sphinxext/*.py[co] README.html
	$(MAKE) -C doc clean
	find . -name '*~' -delete

distclean: clean
	$(RM) $(TEST_DATSET)
	$(RM) -r doc/html
	$(RM) -r LICENSES epr-api-src

check: ext $(TEST_DATSET)
	$(PYTHON) test/test_all.py --verbose

debug:
	$(PYTHON) setup.py build_ext --inplace --debug

data: $(TEST_DATSET)

$(TEST_DATSET):
	wget -P test $(TEST_DATSET_URL)
	gunzip $@

=== requirements.txt ===
numpy>=1.3
cython

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) html
	@echo
	@echo "Build finished. The HTML pages are in html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyEPR.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyEPR.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyEPR"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyEPR"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pyepr (0.8.1-1build2) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:50 +0000

pyepr (0.8.1-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:32:17 +0000

pyepr (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Compat set to 9
  * debian/control
    - Build-depend from debhelper (>= 9)
    - Removed unnecessary versioned dependency from libepr-api2-dev (>= 2.2)
    - Removed unnecessary "${sphinxdoc:Depends}" from non-doc packages
    - Added build dependencies from python-doc and python-numpy-doc.
      It is necessary to make the package build self-contained.
  * debian/copyright
    - Updated copyright dates
    - Fixed formatting of copyright file
  * debian/patches:
    - Only use local files for generating sphinx doc.
      Set the "intersphinx_mapping" parameter in the doc/conf.py to
      point to local object.inv files.
      This makes the package self contained and no download attempt
      happens any longer (Closes: #726859).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 26 Oct 2013 10:30:04 +0000

pyepr (0.6.1-3) unstable; urgency=low

  * Call dh_numpy3
  * Preserve the original changelog name  
  * Fix installation of debug estensions for Python 3.3 (Closes: #708011)
  * Standards version bumped to 3.9.4 (no changes)
  * Added build dependency from cython3
  * Use canonical URIs for Vcs-* fields

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Oct 2012 12:29:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,22 @@
 X-Python3-Version: >= 3.2
 Build-Depends: python-all-dev, python-all-dbg,
                python3-all-dev, python3-all-dbg,
-               debhelper (>= 8.1.0~), cython (>= 0.13), cython-dbg,
+               debhelper (>= 9),
+               cython (>= 0.13), cython3, cython-dbg, cython3-dbg,
                python-numpy, python-numpy-dbg,
                python3-numpy, python3-numpy-dbg,
-               libepr-api2-dev (>= 2.2),
-               python-sphinx (>= 1.0.7+dfsg), texlive-latex-extra
-Standards-Version: 3.9.3
+               libepr-api2-dev,
+               python-sphinx (>= 1.0.7+dfsg), texlive-latex-extra,
+               python-doc, python-numpy-doc
+Standards-Version: 3.9.4
 Homepage: http://avalentino.github.com/pyepr
-Vcs-Git: git://git.debian.org/git/pkg-grass/pyepr.git
-Vcs-Browser: http://git.debian.org/?p=pkg-grass/pyepr.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/pyepr.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pyepr.git
 
 Package: python-epr
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
-         ${sphinxdoc:Depends}, python-numpy
+         python-numpy
 Provides: ${python:Provides}
 Suggests: python-epr-doc
 Description: Python ENVISAT Product Reader API (Python 2)
@@ -41,7 +43,7 @@
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
-         ${sphinxdoc:Depends}, python-epr (= ${binary:Version})
+         python-epr (= ${binary:Version})
 Provides: ${python:Provides}
 Recommends: python-numpy-dbg
 Description: Python ENVISAT Product Reader API (debug extension for Python 2)
@@ -60,7 +62,7 @@
 Package: python3-epr
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
-         ${sphinxdoc:Depends}, python3-numpy
+         python3-numpy
 Provides: ${python3:Provides}
 Suggests: python-epr-doc
 Description: Python ENVISAT Product Reader API (Python 3)
@@ -81,7 +83,7 @@
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
-         ${sphinxdoc:Depends}, python3-epr (= ${binary:Version})
+         python3-epr (= ${binary:Version})
 Provides: ${python3:Provides}
 Recommends: python-numpy-dbg
 Description: Python ENVISAT Product Reader API (debug extension for Python 3)

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# Get the supported Python versions
 #PY2VERS=$(shell pyversions -vr)
 PY3VERS=$(shell py3versions -vr)
+
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 export CFLAGS ?= -O0
 endif
@@ -20,7 +22,7 @@
 	python$*-dbg setup.py build
 
 
-override_dh_auto_build: $(PYTHON3:%=build-python%)
+override_dh_auto_build: $(PY3VERS:%=build-python%)
 	dh_auto_build
 
 
@@ -49,15 +51,16 @@
 override_dh_install:
 	# Install everything excluding the *_d.so debug extensions to python-epr
 	dh_install -X"*_d.so" "debian/tmp/usr/lib/python2*" -p python-epr
-	dh_install -X"*dmu.so" "debian/tmp/usr/lib/python3*" -p python3-epr
+	dh_install -X"*dmu.so" -X"*dm.so" "debian/tmp/usr/lib/python3*" -p python3-epr
 
 	# Install the debug extensions to python-epr-dbg
 	dh_install "debian/tmp/usr/lib/python2*/*-packages/*_d.so" -p python-epr-dbg
-	dh_install "debian/tmp/usr/lib/python3*/*-packages/*dmu.so" -p python3-epr-dbg
+	dh_install "debian/tmp/usr/lib/python3*/*-packages/*.cpython-??dm*.so" -p python3-epr-dbg
 
 	# Continue with regular dh_install
 	dh_install
 	dh_numpy
+	dh_numpy3
 
 
 install-python%:
@@ -70,7 +73,7 @@
 
 
 override_dh_installchangelogs:
-	dh_installchangelogs doc/NEWS.txt
+	dh_installchangelogs -k doc/NEWS.txt
 
 
 override_dh_compress:

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://githubredir.debian.net/github/avalentino/pyepr/ v(.*)\.tar\.gz

## pyepr 0.8.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- coding: utf-8 -*-
 
-# Copyright (C) 2011-2013, Antonio Valentino <antonio.valentino@tiscali.it>
+# Copyright (C) 2011-2014, Antonio Valentino <antonio.valentino@tiscali.it>
 #
 # This file is part of PyEPR.
 #
@@ -18,7 +18,7 @@
 # You should have received a copy of the GNU General Public License
 # along with PyEPR.  If not, see <http://www.gnu.org/licenses/>.
 
-PYTHON = python
+PYTHON = python3
 CYTHON = cython
 TEST_DATSET_URL = "http://earth.esa.int/services/sample_products/meris/LRC/L2/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1.gz"
 TEST_DATSET = test/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1
@@ -74,7 +74,7 @@
 	$(RM) -r LICENSES epr-api-src
 
 check: ext $(TEST_DATSET)
-	$(PYTHON) test/test_all.py --verbose
+	env PYTHONPATH=. $(PYTHON) test/test_all.py --verbose
 
 debug:
 	$(PYTHON) setup.py build_ext --inplace --debug

=== debian/changelog ===
pyepr (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - added an explicit build dependency from dh-python
    - Standard version bumped to 3.9.6 (no changes)
    - fix Vcs-Browser URL
  * debian/patches
    - updated 0001-Only-use-local-files-for-generating-sphinx-doc.patch:
      do not include links to the ohloh and travis-ci widgets

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Jan 2015 12:07:04 +0000

pyepr (0.8.1-2) unstable; urgency=medium

  * Standards-Version bumped to 3.9.5 (no change)
  * Fixed file conflicts in binary packages (Closes: #748237)
  * debian/control
    - build-depend on the new libepr-api-dev instead of
      libepr-api2-dev

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 May 2014 08:54:49 +0000

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,36 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Build-Depends: python-all-dev, python-all-dbg,
-               python3-all-dev, python3-all-dbg,
-               debhelper (>= 9),
-               cython (>= 0.13), cython3, cython-dbg, cython3-dbg,
-               python-numpy, python-numpy-dbg,
-               python3-numpy, python3-numpy-dbg,
-               libepr-api2-dev,
-               python-sphinx (>= 1.0.7+dfsg), texlive-latex-extra,
-               python-doc, python-numpy-doc
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-all-dev,
+               python-all-dbg,
+               python3-all-dev,
+               python3-all-dbg,
+               cython (>= 0.13),
+               cython-dbg,
+               cython3,
+               cython3-dbg,
+               python-numpy,
+               python-numpy-dbg,
+               python3-numpy,
+               python3-numpy-dbg,
+               libepr-api-dev,
+               python-sphinx (>= 1.0.7+dfsg),
+               texlive-latex-extra,
+               python-doc,
+               python-numpy-doc
+Standards-Version: 3.9.6
 Homepage: http://avalentino.github.com/pyepr
 Vcs-Git: git://anonscm.debian.org/pkg-grass/pyepr.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pyepr.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyepr.git
 
 Package: python-epr
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
          python-numpy
-Provides: ${python:Provides}
 Suggests: python-epr-doc
 Description: Python ENVISAT Product Reader API (Python 2)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
@@ -42,9 +53,10 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
          python-epr (= ${binary:Version})
-Provides: ${python:Provides}
 Recommends: python-numpy-dbg
 Description: Python ENVISAT Product Reader API (debug extension for Python 2)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
@@ -61,9 +73,10 @@
 
 Package: python3-epr
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
          python3-numpy
-Provides: ${python3:Provides}
 Suggests: python-epr-doc
 Description: Python ENVISAT Product Reader API (Python 3)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
@@ -82,9 +95,10 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
          python3-epr (= ${binary:Version})
-Provides: ${python3:Provides}
 Recommends: python-numpy-dbg
 Description: Python ENVISAT Product Reader API (debug extension for Python 3)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
@@ -102,7 +116,8 @@
 Package: python-epr-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${sphinxdoc:Depends},
+         ${misc:Depends}
 Suggests: www-browser
 Description: Python ENVISAT Product Reader API (common documentation)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API

## pyepr 0.9.3

=== Makefile ===
--- 
+++ 
@@ -19,9 +19,9 @@
 # along with PyEPR.  If not, see <http://www.gnu.org/licenses/>.
 
 PYTHON = python3
-CYTHON = cython
+CYTHON = cython3
 TEST_DATSET_URL = "http://earth.esa.int/services/sample_products/meris/LRC/L2/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1.gz"
-TEST_DATSET = test/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1
+TEST_DATSET = tests/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1
 
 EPRAPIROOT = ../epr-api
 
@@ -63,6 +63,7 @@
 clean:
 	$(PYTHON) setup.py clean --all
 	$(RM) -r build dist pyepr.egg-info
+	$(RM) -r $$(find doc -name __pycache__) $$(find tests -name __pycache__)
 	$(RM) MANIFEST src/*.c src/*.o *.so
 	$(RM) tests/*.py[co] doc/sphinxext/*.py[co] README.html
 	$(MAKE) -C doc clean
@@ -72,9 +73,10 @@
 	$(RM) $(TEST_DATSET)
 	$(RM) -r doc/html
 	$(RM) -r LICENSES epr-api-src
+	$(MAKE) -C tests -f checksetup.mak distclean
 
 check: ext $(TEST_DATSET)
-	env PYTHONPATH=. $(PYTHON) test/test_all.py --verbose
+	env PYTHONPATH=. $(PYTHON) tests/test_all.py --verbose
 
 debug:
 	$(PYTHON) setup.py build_ext --inplace --debug
@@ -82,5 +84,5 @@
 data: $(TEST_DATSET)
 
 $(TEST_DATSET):
-	wget -P test $(TEST_DATSET_URL)
+	wget -P tests $(TEST_DATSET_URL)
 	gunzip $@

=== requirements.txt ===
numpy>=1.5
cython>=0.19

=== doc/Makefile ===
--- 
+++ 
@@ -6,6 +6,11 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
+
+# User-friendly check for sphinx-build
+ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+endif
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -29,17 +34,20 @@
 	@echo "  epub       to make an epub"
 	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
 	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
+	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
 	@echo "  text       to make text files"
 	@echo "  man        to make manual pages"
 	@echo "  texinfo    to make Texinfo files"
 	@echo "  info       to make Texinfo files and run them through makeinfo"
 	@echo "  gettext    to make PO message catalogs"
 	@echo "  changes    to make an overview of all changed/added/deprecated items"
+	@echo "  xml        to make Docutils-native XML files"
+	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 
 clean:
-	-rm -rf $(BUILDDIR)/*
+	rm -rf $(BUILDDIR)/*
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) html
@@ -108,6 +116,12 @@
 	$(MAKE) -C $(BUILDDIR)/latex all-pdf
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
+latexpdfja:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through platex and dvipdfmx..."
+	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
 text:
 	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
 	@echo
@@ -151,3 +165,13 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
+
+xml:
+	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
+	@echo
+	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."
+
+pseudoxml:
+	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
+	@echo
+	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pyepr (0.9.3-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:42:03 +0000

pyepr (0.9.3-1) unstable; urgency=medium

  * New upstream release
  * debian/watch file fixed
  * Refresh all patches
  * Build-depends on python3-doc innstead of python-doc
  * Update copyright file
  * HTML doc is no longer compressed
  * Make the package build reproducible (closes: #788246)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Aug 2015 07:07:12 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libepr-api-dev,
                python-sphinx (>= 1.0.7+dfsg),
                texlive-latex-extra,
-               python-doc,
+               python3-doc,
                python-numpy-doc
 Standards-Version: 3.9.6
 Homepage: http://avalentino.github.com/pyepr

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS := -D today=\"$(BILD_DATE)\"
+SPHINXOPTS += -D html_last_updated_fmt=\"$(BUILD_DATE)\"
 
 # Get the supported Python versions
 #PY2VERS=$(shell pyversions -vr)
@@ -56,6 +61,7 @@
 	# Install the debug extensions to python-epr-dbg
 	dh_install "debian/tmp/usr/lib/python2*/*-packages/*_d.so" -p python-epr-dbg
 	dh_install "debian/tmp/usr/lib/python3*/*-packages/*.cpython-??dm*.so" -p python3-epr-dbg
+	find debian/python3-epr -name '*.cpython-??dm-*.so' | xargs -r rm -f
 
 	# Continue with regular dh_install
 	dh_install
@@ -77,7 +83,7 @@
 
 
 override_dh_compress:
-	dh_compress -X.txt
+	dh_compress -X.txt -X.html -X.py
 
 
 override_dh_sphinxdoc:
@@ -88,7 +94,7 @@
 
 override_dh_installdocs:
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) -C doc html
+	$(MAKE) -C doc html SPHINXOPTS="$(SPHINXOPTS)"
 else
 	mkdir -p doc/html
 endif

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyepr-$1\.tar\.gz/ \
  https://github.com/avalentino/pyepr/tags .*/v?(\d\S*)\.tar\.gz

## pyepr 0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- coding: utf-8 -*-
 
-# Copyright (C) 2011-2014, Antonio Valentino <antonio.valentino@tiscali.it>
+# Copyright (C) 2011-2018, Antonio Valentino <antonio.valentino@tiscali.it>
 #
 # This file is part of PyEPR.
 #
@@ -26,7 +26,7 @@
 EPRAPIROOT = ../epr-api
 
 .PHONY: default ext cythonize sdist eprsrc fullsdist doc clean distclean \
-        check debug data upload
+        check debug data upload manylinux
 
 default: ext
 
@@ -54,11 +54,13 @@
 fullsdist: doc cythonize eprsrc
 	$(PYTHON) setup.py sdist
 
-upload: doc cythonize eprsrc
-	$(PYTHON) setup.py sdist upload -s -i 24B76CFE
+upload: fullsdist
+	twine upload dist/pyepr-*.tar.gz
 
 doc:
 	$(MAKE) -C doc html
+	$(RM) -r doc/html
+	mv doc/_build/html doc/html
 
 clean:
 	$(PYTHON) setup.py clean --all
@@ -67,6 +69,7 @@
 	$(RM) MANIFEST src/*.c src/*.o *.so
 	$(RM) tests/*.py[co] doc/sphinxext/*.py[co] README.html
 	$(MAKE) -C doc clean
+	$(RM) -r doc/_build
 	find . -name '*~' -delete
 
 distclean: clean
@@ -86,3 +89,8 @@
 $(TEST_DATSET):
 	wget -P tests $(TEST_DATSET_URL)
 	gunzip $@
+
+manylinux:
+	# make fullsdist
+	# docker pull quay.io/pypa/manylinux1_x86_64
+	docker run --rm -v $(shell pwd):/io quay.io/pypa/manylinux1_x86_64 sh /io/build-manylinux-wheels.sh

=== requirements.txt ===
numpy>=1.5
cython>=0.19
unittest2;python_version<"3.4"

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PyEPR
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pyepr (0.9.5-2) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/rules
    - improve handling of dh_numpy* calls
  * Add autopkgtest-pkg-python: debian/control and
    debian/rules updated, debian/source/lintian-overrides
    removed.
  * Add lintian overrides for misdetected spelling errors.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.3.0, no changes.
  * Use wildcard for files in lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Feb 2019 10:52:42 +0000

pyepr (0.9.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    - refresh all patches
  * Drop debian/python3-epr-dbg.lintian-overrides: no longer necessary.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 23 Aug 2018 20:23:29 +0000

pyepr (0.9.4-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.0, no changes.
  * Update watch file to use releases instead of tags.
  * Update watch file to handle common issues.
  * Add lintian override for spelling-error-in-binary false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 17:48:04 +0200

pyepr (0.9.4-2) unstable; urgency=medium

  * Team upload.
  * Drop ancient X-Python{,3}-Version fields.
  * Strip trailing whitespace from rules files.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 16:48:25 +0200

pyepr (0.9.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.4, no changes.
  * Update copyright years for Antonio Valentino.

  [ Antonio Valentino ]
  * New upstream release.
  * Set Multi-Arch: same for pythpn(3)-epr(-dbg) packages.
  * debian/rules
    - update installdoc rule
  * debian/patch
    - refresh all parches
  * Install examples.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 30 Apr 2018 08:24:31 +0000

pyepr (0.9.3-5) unstable; urgency=medium

  * Team upload.
  * Add Breaks/Replaces to python-epr-doc for files moved from python-epr.
    (closes: #891514)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Feb 2018 12:46:29 +0100

pyepr (0.9.3-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.0, changes: priority.
  * Add python3-sphinx to build dependencies.
  * Strip trailing whitespace from changelog.
  * Add autopkgtest to test installability.
  * Add upstream metadata.

  [ Antonio Valentino ]
  * Bump Standards-Version to 4.1.3, no changes.
  * Set compat to 11.
  * debian/control
    - use secure URL for HomePage
    - fix python2-epr-dbg recommends to point to python3-numpy-dbg
  * debian/rules
    - fix doc installation
    - remove unnecessary dh argument: --parallel

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Feb 2018 18:29:21 +0000

pyepr (0.9.3-3) unstable; urgency=medium

  * Restore -dbg packages

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 15 Aug 2017 16:39:28 +0000

pyepr (0.9.3-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Add gbp.conf to use pristine-tar by default.
  * Override dh_python{2,3} to call dh_numpy{,3} too.
  * Drop .0 from GPL license shortnames.

  [ Antonio Valentino ]
  * remove dbg packages form the control file (now they are generated
    automatically)
  * switch to pybuild
  * refresh all patches
  * debian/copyright
    - fix format URL
  * debian/control
    - standard version bumped to 4.0.0 (no change)
    - remove un-necessary version specification
    - update VCS URLs
    - reformat using cme
    - add Multi-Arch specifiers
  * debian/rules
    - no longer parse debian changelog (fix lintian warning)
    - enable hardening flags
    - enable parallel build
  * debian/links file removed (no longer necessary)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 08 Aug 2017 08:15:02 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=epr
export PYBUILD_DISABLE=test
export DEB_BUILD_MAINT_OPTIONS=hardening=+all


include /usr/share/dpkg/pkg-info.mk
BUILD_DATE="$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y-%m-%d)"
SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
SPHINXOPTS += -D html_last_updated_fmt=\"$(BUILD_DATE)\"


# Get the supported Python versions
#PY2VERS=$(shell pyversions -vr)
#PY3VERS=$(shell py3versions -vr)


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS ?= -O0
endif


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild


override_dh_python2:
	dh_python2
	dh_numpy


override_dh_python3:
	dh_python3
	dh_numpy3


override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/epr.c
	$(RM) -r doc/_build doc/html
	$(RM) -r build
	$(RM) -r *.egg-info


override_dh_strip:
	dh_strip -ppython-epr  --dbg-package=python-epr-dbg
	dh_strip -ppython3-epr --dbg-package=python3-epr-dbg


override_dh_installchangelogs:
	dh_installchangelogs -k doc/NEWS.rst


override_dh_compress:
	dh_compress -X.txt -X.rst -X.html -X.py


override_dh_sphinxdoc:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh_sphinxdoc
endif


override_dh_installdocs:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) SPHINXOPTS="$(SPHINXOPTS)" doc
	$(RM) -r doc/html/_downloads
else
	mkdir -p doc/html
endif
	dh_installdocs

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pyepr)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyepr-$1.$2/ \
https://github.com/avalentino/pyepr/releases \
(?:.*?/archive/)?(?:rel|v|pyepr)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
